View information about the authenticated user account.
GET /profile
| Description | Retrieve information about the authenticated user account.When the full parameter is set to true, the information includes associations (tab instances, dashboard properties, permissions for the authenticated user account). |
| Permissions | |
| Resource URL | https://app.klipfolio.com/api/1.0/profile |
| Parameters | full (true/false) — include associations in the listing (tab instances, dashboard properties, permissions). Default is false. |
Example Request when full = false
GET https://app.klipfolio.com/api/1/profileGET https://app.klipfolio.com/api/1/profile?full=trueExample Response
{
"data": {
"id": "012feb56d97275c3f18d281e3e3c0ffd",
"company": {
"id": "3c9bf419ff803d7303e3db735f0fe20d",
"name": "Test Inc." },
"first_name": "John",
"last_name": "Doe",
"email": "[email protected]",
"date_last_login": "2016-04-11T15:29:49Z",
"date_created": "2016-04-11T15:22:51Z",
"is_locked_out": false
}
}{
"data": {
"id": "012feb56d97275c3f18d281e3e3c0ffd",
"company": { "id": "3c9bf419ff803d7303e3db735f0fe20d", "name": "Test Inc." },
"first_name": "John",
"last_name": "Doe",
"email": "[email protected]",
"date_last_login": "2016-04-11T15:29:49Z",
"date_created": "2016-04-11T15:22:51Z",
"is_locked_out": false,
"tab_instances": [
{
"id": "9ebf35d99804cade918362557136abe2",
"tab_id": "99e6e6a668f77e7080994741d3e934ae",
"name": "How To: Klip Template Gallery",
"context": "desktop",
"layout": { "type": "", "state": { } }
}],
"groups": [
{
"id": "84d79dcfd5c25dda2f3850d3bd00fe63",
"name": "All Users",
"type": 10
}]...
}